﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.UI;

namespace TreeViewBindingToModel.Models
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index(int? id)
        {

            //Example hierarchical data
            TreeViewItemModel hierarchicalData;
            hierarchicalData = new TreeViewItemModel
            {
                Id = "0",
                Text = "Andrew Fuller",
                Items = new List<TreeViewItemModel> {
                new TreeViewItemModel {Id = "1", Text = "Nancy Davolio", Items = new List<TreeViewItemModel>{
                    new TreeViewItemModel {Id = "2", Text = "Janet Leverling", Items = new List<TreeViewItemModel> {
                        new TreeViewItemModel {Id = "3", Text = "Margaret Peacock", Checked = true },
                        new TreeViewItemModel {Id = "4", Text = "Steven Buchanan", Items = new List<TreeViewItemModel> {
                            new TreeViewItemModel {Id = "13", Text = "Michael Suyama"},
                            new TreeViewItemModel {Id = "14", Text = "Robert King" , Items = new List<TreeViewItemModel> {
                                new TreeViewItemModel {Id = "15", Text = "Anne Dodsworth" },
                                new TreeViewItemModel {Id = "16", Text = "Laura Callahan" },
                                new TreeViewItemModel {Id = "17", Text = "Alexander Lee" },
                                new TreeViewItemModel {Id = "18", Text = "Avery Davis", Checked = true },
                            }},
                        }},
                    }},
                    new TreeViewItemModel {Id = "5", Text = "Barbara Bennett"},
                    new TreeViewItemModel {Id = "6", Text = "Billy Butler"},
                    new TreeViewItemModel {Id = "7", Text = "Cate Watson"}                                     
                   },
                },
                new TreeViewItemModel {Id = "8", Text = "Charley Dixon", Checked = true  },
                new TreeViewItemModel {Id = "9", Text = "Lynda LLoyd" },
                new TreeViewItemModel {Id = "10", Text = "Iana Murray" },
                new TreeViewItemModel {Id = "11", Text = "Andrey Rogers" },
                new TreeViewItemModel {Id = "12", Text = "Andrew Russel", Checked = true  }
                }
            };

            List<TreeViewItemModel> listOfTreeViewItemModels = new List<TreeViewItemModel>();

            listOfTreeViewItemModels.Add(hierarchicalData);

            return View(listOfTreeViewItemModels);
        }
    }
}
